<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetPropt Method (IEdmFindUser)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFindUser Interface : SetPropt Method (IEdmFindUser)

Visual Basic
C#
C++/CLI

eProp
  User property to search for as defined by EdmFindUserProp

oValue
  Value of the property specified in eProp

Sets the search criteria for finding users.

# Syntax

Visual Basic |
--- | ---

    Sub SetPropt( _
       ByVal eProp As EdmFindUserProp, _
       ByVal oValue As System.Object _
    )

C# |
--- | ---

    void SetPropt(
       EdmFindUserProp eProp,
       System.object oValue
    )

C++/CLI |
--- | ---

    void SetPropt(
    &   EdmFindUserProp eProp,
    &   System.Object^ oValue
    )

#### Parameters

eProp
  User property to search for as defined by EdmFindUserProp
oValue
  Value of the property specified in eProp

# Example

See the IEdmFindUser examples.

# Remarks

After calling this method, call one of the following:

- IEdmFindUser::SilentFind to silently search for users matching the criteria specified by this method.
- IEdmFindUser::ShowFindUI to display a search user interface that is populated with the criteria specified by this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmFindUser Interface
IEdmFindUser Members

# Availability

SOLIDWORKS PDM Professional 2013